<?php
/*
Wacintaki resource editor
Allows direct editing of some Wacintaki/Wax resource files

Copyright 2009 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.5.0 - Last modified 9/13/2009
*/


// Load bootstrap
// If DB/config doesn't work, we need a different editor
define ('BOOT', 1);
require ('boot.php');


if (!$flags['owner']) {
	web_line('You must be logged in as an owner to use this tool');
}


if ($_POST['action'] == 'editconfig') {
	$configedit = $_POST['configedit'];

	// Write config
	if (!empty ($configedit)){
		$fd = fopen ('config.php', 'w');
		fwrite($fd, stripslashes($configedit));
		fclose ($fd);
	}
}


include('header.php');


$myfile = 'config.php';
if (!is_writable ($myfile)) {
	db_close();
	echo $myfile.' is locked!  View Readme.txt for help.';
	exit;
}

if (file_exists('config.php')) {
	$config_contents = file_get_contents('config.php');
} else {
	$config_contents = '';
}


?>
<div id="contentmain">
	<form name="form1" method="post" action="editconfig.php">
		<input name="action" type="hidden" value="editconfig" />

		<h1 class="header">
			Edit Config
		</h1>

		<div class="infotable" style="text-align: center;">
			<p>
				<textarea name="configedit" cols="80" rows="20" class="multiline"><?=$config_contents?></textarea>
			</p>
		</div>
		<br />


		<h1 class="header">
			Submit Changes
		</h1>

		<div class="infotable" style="text-align: center;">
			<p>
				<input type="submit" name="configsub" value="Edit" class="submit" />
			</p>
		</div>
	</form>
</div>


<? include('footer.php'); ?>